﻿using NetinaShop.Domain.Entities.Accounting;

namespace NetinaShop.Domain.Dtos.SmallDtos;

public class PaymentSDto : BaseDto<PaymentSDto,Payment>
{
    public string FactorNumber { get; set; } = string.Empty;
    public double Amount { get; set; }
    public string Description { get; set; } = string.Empty;
    public string TransactionCode { get; set; } = string.Empty;
    public string CardPan { get; set; } = string.Empty;
    public string Authority { get; set; } = string.Empty;
    public PaymentType Type { get; set; }
    public PaymentStatus Status { get; set; }

    public Guid OrderId { get; set; }
    public Guid CustomerId { get; set; }
    public string CustomerFullName { get; set; } = string.Empty;
    public string CustomerPhoneNumber { get; set; } = string.Empty;
}