﻿namespace NetinaShop.Domain.Entities.Discounts;

public partial class ProductDiscount : Discount
{
    public ProductDiscount()
    {
        
    }

    public ProductDiscount(string code, string description, int discountPercent, long discountAmount, bool hasCode, DiscountAmountType amountType, DiscountType type,
        int count, bool immortal, DateTime startDate, DateTime expireDate, long priceFloor, bool hasPriceFloor, long priceCeiling,
        bool hasPriceCeiling, bool isInfinity, long useCount, bool isForInvitation,
        bool isForFirstPurchase, bool isSpecialOffer,Guid productId)
        : base(code,description, discountPercent, discountAmount, hasCode, amountType, type, count, startDate,
            expireDate, priceFloor, hasPriceFloor, priceCeiling, hasPriceCeiling, isInfinity, useCount,  isForInvitation, isSpecialOffer,isForFirstPurchase, immortal)
    {
        ProductId = productId;
    }

    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }
}