﻿using System.IdentityModel.Tokens.Jwt;

namespace NetinaShop.Repository.Abstracts;

public interface ICurrentUserService : IScopedDependency
{
    string? UserId { get; }
    string? RoleName { get; }
    string? UserName { get; }
    string? DeviceId { get; }
    bool IsAuthorized { get; }
    JwtSecurityToken? JwtToken { get; }

    public List<string>? Permissions { get; }
}