﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace NetinaShop.Repository.Migrations
{
    /// <inheritdoc />
    public partial class EditBrandAddEnglishName : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "Name",
                schema: "public",
                table: "Brands",
                newName: "PersianName");

            migrationBuilder.AddColumn<string>(
                name: "EnglishName",
                schema: "public",
                table: "Brands",
                type: "text",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EnglishName",
                schema: "public",
                table: "Brands");

            migrationBuilder.RenameColumn(
                name: "PersianName",
                schema: "public",
                table: "Brands",
                newName: "Name");
        }
    }
}
