﻿using NetinaShop.Domain.Entities.ProductCategories;

namespace NetinaShop.Domain.Entities.Discounts;

public partial class CategoryDiscount : Discount
{
    public CategoryDiscount()
    {

    }

    public CategoryDiscount(string code, string description, int discountPercent, long discountAmount, bool hasCode, DiscountAmountType amountType, DiscountType type,
        int count, bool immortal, DateTime startDate, DateTime expireDate, long priceFloor, bool hasPriceFloor, long priceCeiling,
        bool hasPriceCeiling, bool isInfinity, long useCount, bool isForInvitation,
        bool isForFirstPurchase, bool isSpecialOffer , Guid categoryId)
        : base(code, description, discountPercent, discountAmount, hasCode, amountType, type, count, startDate, expireDate, priceFloor, hasPriceFloor, priceCeiling, hasPriceCeiling, isInfinity, useCount,
            isForInvitation, isSpecialOffer,isForFirstPurchase, immortal)
    {
        CategoryId = categoryId;
    }
    public Guid CategoryId { get; internal set; }
    public ProductCategory? Category { get; internal set; }
}