﻿namespace NetinaShop.Domain.Entities.Users;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public class Manager : ApiEntity
{
    public double LatestVersionUsed { get; set; }
    public Guid UserId { get; set; }
    public ApplicationUser? User { get; set; }
}